<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: combustion_quad Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">combustion_quad Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:afc05ebb53add3430e76f4ec5ad1c9adc"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#afc05ebb53add3430e76f4ec5ad1c9adc">link_combustion_quad_to</a> (combust_var, FORCE)</td></tr>
<tr class="separator:afc05ebb53add3430e76f4ec5ad1c9adc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17aea6cd6a6d85799101431caaa610eb"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a17aea6cd6a6d85799101431caaa610eb">unlink_combustion_quad</a> ()</td></tr>
<tr class="separator:a17aea6cd6a6d85799101431caaa610eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6415771d9eed3fa5e47f664db739b4da"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a6415771d9eed3fa5e47f664db739b4da">quadpoints</a></td></tr>
<tr class="separator:a6415771d9eed3fa5e47f664db739b4da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad70c1237d7d7cc220bea48f5b096876c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#ad70c1237d7d7cc220bea48f5b096876c">quadx</a></td></tr>
<tr class="separator:ad70c1237d7d7cc220bea48f5b096876c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24896640cbee577c6cda99c504956051"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a24896640cbee577c6cda99c504956051">quady</a></td></tr>
<tr class="separator:a24896640cbee577c6cda99c504956051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6179790dedd875f28fd3ec7baf775216"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a6179790dedd875f28fd3ec7baf775216">quadz</a></td></tr>
<tr class="separator:a6179790dedd875f28fd3ec7baf775216"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbc7c19a11dbfff269a30eeb92191e1f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#afbc7c19a11dbfff269a30eeb92191e1f">quadw</a></td></tr>
<tr class="separator:afbc7c19a11dbfff269a30eeb92191e1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98ed39f20bfe8ee9da00d15ec32bf05f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:,:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a98ed39f20bfe8ee9da00d15ec32bf05f">intp_ww</a></td></tr>
<tr class="separator:a98ed39f20bfe8ee9da00d15ec32bf05f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4d473b2e9d5651e982c3a283654ea3b"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#ae4d473b2e9d5651e982c3a283654ea3b">intp_i1</a></td></tr>
<tr class="separator:ae4d473b2e9d5651e982c3a283654ea3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8226ae308b6acb4286da5905905d4aa6"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a8226ae308b6acb4286da5905905d4aa6">intp_j1</a></td></tr>
<tr class="separator:a8226ae308b6acb4286da5905905d4aa6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26b8f5a5453afc8d21af883663ad43e7"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a26b8f5a5453afc8d21af883663ad43e7">intp_k1</a></td></tr>
<tr class="separator:a26b8f5a5453afc8d21af883663ad43e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57e5a0d591965719200bf681ce3bae51"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a57e5a0d591965719200bf681ce3bae51">intp_i2</a></td></tr>
<tr class="separator:a57e5a0d591965719200bf681ce3bae51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbaa71a8f89351114e82b4b6151504ad"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#afbaa71a8f89351114e82b4b6151504ad">intp_j2</a></td></tr>
<tr class="separator:afbaa71a8f89351114e82b4b6151504ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e51ecd47739ea362ce4d3101041df9f"><td class="memItemLeft" align="right" valign="top">integer, dimension(:,:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a7e51ecd47739ea362ce4d3101041df9f">intp_k2</a></td></tr>
<tr class="separator:a7e51ecd47739ea362ce4d3101041df9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f4527ced1c908fb9a22ba9cd449877"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a32f4527ced1c908fb9a22ba9cd449877">linked</a> = .FALSE.</td></tr>
<tr class="separator:a32f4527ced1c908fb9a22ba9cd449877"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f9c3855b1542f9e5a1d9a68c07a9678"><td class="memItemLeft" align="right" valign="top">character(len=str_medium), private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombustion__quad.html#a8f9c3855b1542f9e5a1d9a68c07a9678">linked_name</a> = 'N/A'</td></tr>
<tr class="separator:a8f9c3855b1542f9e5a1d9a68c07a9678"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="afc05ebb53add3430e76f4ec5ad1c9adc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc05ebb53add3430e76f4ec5ad1c9adc">&#9670;&nbsp;</a></span>link_combustion_quad_to()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combustion_quad::link_combustion_quad_to </td>
          <td>(</td>
          <td class="paramtype">type(combustion_t), intent(in), target&#160;</td>
          <td class="paramname"><em>combust_var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>FORCE</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecombustion__quad.html#ae4d473b2e9d5651e982c3a283654ea3b">intp_i1</a>, <a class="el" href="namespacecombustion__quad.html#a57e5a0d591965719200bf681ce3bae51">intp_i2</a>, <a class="el" href="namespacecombustion__quad.html#a8226ae308b6acb4286da5905905d4aa6">intp_j1</a>, <a class="el" href="namespacecombustion__quad.html#afbaa71a8f89351114e82b4b6151504ad">intp_j2</a>, <a class="el" href="namespacecombustion__quad.html#a26b8f5a5453afc8d21af883663ad43e7">intp_k1</a>, <a class="el" href="namespacecombustion__quad.html#a7e51ecd47739ea362ce4d3101041df9f">intp_k2</a>, <a class="el" href="namespacecombustion__quad.html#a98ed39f20bfe8ee9da00d15ec32bf05f">intp_ww</a>, <a class="el" href="namespacecombustion__quad.html#a32f4527ced1c908fb9a22ba9cd449877">linked</a>, <a class="el" href="namespacecombustion__quad.html#a8f9c3855b1542f9e5a1d9a68c07a9678">linked_name</a>, and <a class="el" href="namespacecombustion__quad.html#afbc7c19a11dbfff269a30eeb92191e1f">quadw</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecombustion__quad_afc05ebb53add3430e76f4ec5ad1c9adc_icgraph.png" border="0" usemap="#namespacecombustion__quad_afc05ebb53add3430e76f4ec5ad1c9adc_icgraph" alt=""/></div>
<map name="namespacecombustion__quad_afc05ebb53add3430e76f4ec5ad1c9adc_icgraph" id="namespacecombustion__quad_afc05ebb53add3430e76f4ec5ad1c9adc_icgraph">
<area shape="rect" id="node2" href="combustion__quad_8f90.html#a3a9f3079d6c77b9b705264478cbdde63" title="combustion_quad_init" alt="" coords="205,13,353,39"/>
<area shape="rect" id="node3" href="combustion_8f90.html#a4d09639b1292ef4cc0c83a3d4bdea76c" title="combustion_init" alt="" coords="576,13,689,39"/>
<area shape="rect" id="node5" href="regime__selection_8f90.html#ab5324fefc3ec023118cb87513e7fd27d" title="select_regime_init" alt="" coords="401,38,528,65"/>
<area shape="rect" id="node4" href="combustion_8f90.html#a2f0eeadb9092a477faaa2cb7bca4b1b1" title="cf_combustion_init" alt="" coords="737,13,868,39"/>
</map>
</div>

</div>
</div>
<a id="a17aea6cd6a6d85799101431caaa610eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17aea6cd6a6d85799101431caaa610eb">&#9670;&nbsp;</a></span>unlink_combustion_quad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combustion_quad::unlink_combustion_quad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecombustion__quad.html#ae4d473b2e9d5651e982c3a283654ea3b">intp_i1</a>, <a class="el" href="namespacecombustion__quad.html#a57e5a0d591965719200bf681ce3bae51">intp_i2</a>, <a class="el" href="namespacecombustion__quad.html#a8226ae308b6acb4286da5905905d4aa6">intp_j1</a>, <a class="el" href="namespacecombustion__quad.html#afbaa71a8f89351114e82b4b6151504ad">intp_j2</a>, <a class="el" href="namespacecombustion__quad.html#a26b8f5a5453afc8d21af883663ad43e7">intp_k1</a>, <a class="el" href="namespacecombustion__quad.html#a7e51ecd47739ea362ce4d3101041df9f">intp_k2</a>, <a class="el" href="namespacecombustion__quad.html#a98ed39f20bfe8ee9da00d15ec32bf05f">intp_ww</a>, <a class="el" href="namespacecombustion__quad.html#a32f4527ced1c908fb9a22ba9cd449877">linked</a>, <a class="el" href="namespacecombustion__quad.html#a8f9c3855b1542f9e5a1d9a68c07a9678">linked_name</a>, and <a class="el" href="namespacecombustion__quad.html#afbc7c19a11dbfff269a30eeb92191e1f">quadw</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ae4d473b2e9d5651e982c3a283654ea3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4d473b2e9d5651e982c3a283654ea3b">&#9670;&nbsp;</a></span>intp_i1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:,:), pointer combustion_quad::intp_i1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57e5a0d591965719200bf681ce3bae51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57e5a0d591965719200bf681ce3bae51">&#9670;&nbsp;</a></span>intp_i2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:,:), pointer combustion_quad::intp_i2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8226ae308b6acb4286da5905905d4aa6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8226ae308b6acb4286da5905905d4aa6">&#9670;&nbsp;</a></span>intp_j1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:,:), pointer combustion_quad::intp_j1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afbaa71a8f89351114e82b4b6151504ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbaa71a8f89351114e82b4b6151504ad">&#9670;&nbsp;</a></span>intp_j2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:,:), pointer combustion_quad::intp_j2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a26b8f5a5453afc8d21af883663ad43e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26b8f5a5453afc8d21af883663ad43e7">&#9670;&nbsp;</a></span>intp_k1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:,:), pointer combustion_quad::intp_k1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e51ecd47739ea362ce4d3101041df9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e51ecd47739ea362ce4d3101041df9f">&#9670;&nbsp;</a></span>intp_k2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:,:,:,:), pointer combustion_quad::intp_k2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a98ed39f20bfe8ee9da00d15ec32bf05f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98ed39f20bfe8ee9da00d15ec32bf05f">&#9670;&nbsp;</a></span>intp_ww</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:,:,:,:,:), pointer combustion_quad::intp_ww</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32f4527ced1c908fb9a22ba9cd449877"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32f4527ced1c908fb9a22ba9cd449877">&#9670;&nbsp;</a></span>linked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">logical, private combustion_quad::linked = .FALSE.</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f9c3855b1542f9e5a1d9a68c07a9678"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f9c3855b1542f9e5a1d9a68c07a9678">&#9670;&nbsp;</a></span>linked_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium), private combustion_quad::linked_name = 'N/A'</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6415771d9eed3fa5e47f664db739b4da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6415771d9eed3fa5e47f664db739b4da">&#9670;&nbsp;</a></span>quadpoints</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer combustion_quad::quadpoints</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afbc7c19a11dbfff269a30eeb92191e1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbc7c19a11dbfff269a30eeb92191e1f">&#9670;&nbsp;</a></span>quadw</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:), pointer combustion_quad::quadw</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad70c1237d7d7cc220bea48f5b096876c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad70c1237d7d7cc220bea48f5b096876c">&#9670;&nbsp;</a></span>quadx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable combustion_quad::quadx</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a24896640cbee577c6cda99c504956051"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24896640cbee577c6cda99c504956051">&#9670;&nbsp;</a></span>quady</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable combustion_quad::quady</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6179790dedd875f28fd3ec7baf775216"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6179790dedd875f28fd3ec7baf775216">&#9670;&nbsp;</a></span>quadz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:), allocatable combustion_quad::quadz</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
